Send broadcast to individual
curl --request POST \
--url https://{notifuseDomain}/api/broadcasts.sendToIndividual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "ws_1234567890",
"broadcast_id": "broadcast_12345",
"recipient_email": "test@example.com",
"template_id": "template_variant_a"
}
'import requests
url = "https://{notifuseDomain}/api/broadcasts.sendToIndividual"
payload = {
"workspace_id": "ws_1234567890",
"broadcast_id": "broadcast_12345",
"recipient_email": "test@example.com",
"template_id": "template_variant_a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'ws_1234567890',
broadcast_id: 'broadcast_12345',
recipient_email: 'test@example.com',
template_id: 'template_variant_a'
})
};
fetch('https://{notifuseDomain}/api/broadcasts.sendToIndividual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Broadcasts
Send broadcast to individual
Sends a broadcast to a single recipient for testing purposes. Optionally specify which template variation to send.
POST
/
api
/
broadcasts.sendToIndividual
Send broadcast to individual
Authorizations
API token for authentication
Body
application/json
The ID of the workspace
Example:
"ws_1234567890"
ID of the broadcast
Example:
"broadcast_12345"
Email address to send test to
Example:
"test@example.com"
Optional specific template variation to send
Example:
"template_variant_a"
Response
Broadcast sent to individual successfully
Example:
true
⌘I
